{
  "name": "ecs-web-admin",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "start": "vue-cli-service serve --port 3000",
    "serve": "vue-cli-service serve",
    "build:dev": "vue-cli-service build",
    "build:test": "vue-cli-service build",
    "prebuild:prod": "node prebuild",
    "build:prod": "vue-cli-service build",
    "postbuild:prod": "IS_PROD=true node postbuild",
    "lint": "vue-cli-service lint",
    "test:unit": "vue-cli-service test:unit"
  },
  "dependencies": {
    "axios": "^0.21.1",
    "axios-progress-bar": "^1.2.0",
    "bootstrap": "^4.6.0",
    "echarts": "^4.9.0",
    "element-ui": "^2.15.0",
    "lodash": "^4.17.15",
    "moment": "^2.29.1",
    "print-js": "^1.0.61",
    "randomcolor": "^0.6.2",
    "rasterizehtml": "^1.3.0",
    "register-service-worker": "^1.7.2",
    "spark-md5": "^3.0.1",
    "viewerjs": "^1.9.0",
    "vue": "^2.6.12",
    "vue-awesome": "^4.1.0",
    "vue-echarts": "^4.1.0",
    "vue-router": "^3.5.1",
    "vuex": "^3.6.2"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "~4.5.11",
    "@vue/cli-plugin-eslint": "~4.5.11",
    "@vue/cli-plugin-pwa": "~4.5.11",
    "@vue/cli-plugin-router": "~4.5.11",
    "@vue/cli-plugin-unit-jest": "~4.5.11",
    "@vue/cli-plugin-vuex": "~4.5.11",
    "@vue/cli-service": "~4.5.11",
    "@vue/eslint-config-prettier": "^6.0.0",
    "@vue/test-utils": "^1.0.3",
    "babel-eslint": "^10.1.0",
    "eslint": "^7.15.0",
    "eslint-plugin-prettier": "^3.3.0",
    "eslint-plugin-vue": "^7.3.0",
    "lint-staged": "^10.5.3",
    "prettier": "^2.2.1",
    "sass": "^1.30.0",
    "sass-loader": "^10.1.0",
    "vue-cli-plugin-axios": "0.0.4",
    "vue-cli-plugin-element": "^1.0.1",
    "vue-template-compiler": "^2.6.12"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue}": [
      "vue-cli-service lint",
      "git add"
    ]
  }
}
